"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigurationKeyNotFoundException = void 0;
const base_application_exception_1 = require("./base-application.exception");
class ConfigurationKeyNotFoundException extends base_application_exception_1.BaseApplicationException {
    constructor(key) {
        super(`config key '${key} was not found`);
    }
}
exports.ConfigurationKeyNotFoundException = ConfigurationKeyNotFoundException;
//# sourceMappingURL=configuration-key-not-found.exception.js.map