"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatusController = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const configuration_1 = require("../shared/infrastructure/configuration");
const api_response_presenter_1 = require("../shared/presentation/presenter/api-response.presenter");
let StatusController = class StatusController {
    status() {
        const statusDto = {};
        statusDto.version = configuration_1.Configuration.getValue('APP_VERSION');
        return api_response_presenter_1.ApiResponsePresenter.createWithRawData(common_1.HttpStatus.OK, statusDto);
    }
};
exports.StatusController = StatusController;
tslib_1.__decorate([
    (0, common_1.Get)(),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", []),
    tslib_1.__metadata("design:returntype", Object)
], StatusController.prototype, "status", null);
exports.StatusController = StatusController = tslib_1.__decorate([
    (0, common_1.Controller)('status')
], StatusController);
//# sourceMappingURL=status.controller.js.map