"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigurationNotFoundException = void 0;
const base_application_exception_1 = require("./base-application.exception");
class ConfigurationNotFoundException extends base_application_exception_1.BaseApplicationException {
    constructor(configPath) {
        if (!configPath) {
            configPath = '';
        }
        super(`config file ${configPath} was not loaded/found`);
    }
}
exports.ConfigurationNotFoundException = ConfigurationNotFoundException;
//# sourceMappingURL=configuration-not-found.exception.js.map