"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiResponsePresenter = void 0;
class ApiResponsePresenter {
    static createWithRawData(status, data, messages = undefined) {
        const apiResponseDto = { status, messages };
        if (!data) {
            return apiResponseDto;
        }
        apiResponseDto.data = data;
        return apiResponseDto;
    }
    static createException(status, messages) {
        return { status, messages };
    }
}
exports.ApiResponsePresenter = ApiResponsePresenter;
//# sourceMappingURL=api-response.presenter.js.map